Bullet Collision Detection & Physics Library: UpdateIslandDispatcher Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
UpdateIslandDispatcher Struct Reference
Inheritance diagram for UpdateIslandDispatcher:
[legend]
Collaboration diagram for UpdateIslandDispatcher:
[legend]

## Public Member Functions
| UpdateIslandDispatcher (btAlignedObjectArray< btSimulationIslandManagerMt::Island * > &islandsPtr, const btSimulationIslandManagerMt::SolverParams &solverParams)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()

## Public Attributes
btAlignedObjectArray< btSimulationIslandManagerMt::Island * > & | m_islandsPtr
const btSimulationIslandManagerMt::SolverParams & | m_solverParams

## Detailed Description

Definition at line 553 of file btSimulationIslandManagerMt.cpp.

## Constructor & Destructor Documentation

## ◆ UpdateIslandDispatcher()

UpdateIslandDispatcher::UpdateIslandDispatcher | ( | btAlignedObjectArray< btSimulationIslandManagerMt::Island * > & | islandsPtr,
|  | const btSimulationIslandManagerMt::SolverParams & | solverParams
| ) |  |
| inline

Definition at line 558 of file btSimulationIslandManagerMt.cpp.

## Member Function Documentation

## ◆ forLoop()

void UpdateIslandDispatcher::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 563 of file btSimulationIslandManagerMt.cpp.

## Member Data Documentation

## ◆ m_islandsPtr

btAlignedObjectArray<btSimulationIslandManagerMt::Island*>& UpdateIslandDispatcher::m_islandsPtr

Definition at line 555 of file btSimulationIslandManagerMt.cpp.

## ◆ m_solverParams

const btSimulationIslandManagerMt::SolverParams& UpdateIslandDispatcher::m_solverParams

Definition at line 556 of file btSimulationIslandManagerMt.cpp.

The documentation for this struct was generated from the following file:

- btSimulationIslandManagerMt.cpp